complexType "OptionExpiry"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | tradeIdentifier+, date, time, exerciseProcedure?
</...>

Content Model Elements (4):

  date (in optionExpiry defined in Events.model group),
  exerciseProcedure (in optionExpiry defined in Events.model group),
  time (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry defined in Events.model group)

All Direct / Indirect Based Elements (1):

  optionExpiry (defined in Events.model group)

Known Usage Locations

- As direct type of elements (1):
  optionExpiry (defined in Events.model group)

Annotation
A structure describing an option expiring.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="OptionExpiry"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="date" type="xsd:date"/> <xsd:element name="time" type="xsd:time"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
date

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="date" type="xsd:date"/>

exerciseProcedure

  Type: | ExerciseProcedureOption, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/>

time

  Type: | xsd:time, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="time" type="xsd:time"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.